<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="WaterTap10v"
	description="Компонент для управления кранами в системе отопления/водоснабжения."
	fileName="WaterTap10v.jar" className="org.mati.npc.components.watertap10v.WaterTap10v"
	version="9140" time="17.02.2009 16:50:47">

	<Group>Умный дом</Group>

	<!--INLINKS BEGIN-->
	<INLink name="InRequestedTemperature" description=""
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InTermometer" description=""
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="1" nullable="false">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutWaterTapDevice"
		description="Связь с устройством, управляющим открытием и закрытием кранов в системе отопления/водоснабжения."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="false">
	</OUTLink>
	<OUTLink name="OutTermometerDevice"
		description="Связь с устройством, измеряющим температуру в системе отопления/водоснабжения."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="false">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="DefaultTemperature"
		description="Температура по умолчанию (в градусах по цельсию)." type="java.lang.Integer"
		nullable="false" defaultValue="22">
	</Attribute>
	<Attribute name="SigmaTemperature"
		description="Отклонение от требуемой температуры (в градусах по цельсию)."
		type="java.lang.Float" nullable="false" defaultValue="0.5">
	</Attribute>
	<Attribute name="MaximumTemperature"
		description="Максимальная температура (в градусах по цельсию)." type="java.lang.Integer"
		nullable="false" defaultValue="30">
	</Attribute>
	<Attribute name="MinimumTemperature"
		description="Минимальная температура (в градусах по цельсию)." type="java.lang.Integer"
		nullable="false" defaultValue="18">
	</Attribute>
	<Attribute name="TemperatureStep"
		description="Шаг при изменении температуры (в градусах по цельсию)."
		type="java.lang.Integer" nullable="false" defaultValue="1">
	</Attribute>
	<!--PROPERTIES END-->
</ClassComponent>